@rem SimCity 2000 for Windows 95/Collection CD (French)
@rem RegSetup V6 by iGREKKESS - http://igrekkess.free.fr/

@echo off
@setlocal enableextensions
@cd /d "%~dp0"
if not exist "SIMCITY.EXE" goto missing

SET NAME=SimMayor
SET COMPANY=SimBusiness
SET CURRENTDIR=%cd:\=\%
SET CURRENTDIR_REG=%cd:\=\\%
SET DESKTOP=Desktop
SET /P NAME=Votre nom (dfaut : SimMayor) : 
SET /P COMPANY=Votre compagnie (dfaut : SimBusiness) : 

SET IS_X64=
if "%PROCESSOR_ARCHITECTURE%"=="X86" set IS_X64=
if "%PROCESSOR_ARCHITECTURE%"=="x86" set IS_X64=
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" set IS_X64=\Wow6432Node
if "%PROCESSOR_ARCHITEW6432%"=="AMD64" set IS_X64=\Wow6432Node

echo Windows Registry Editor Version 5.00> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis]>> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis\SimCity 2000]>> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis\SimCity 2000\Localize]>> simcity.reg
echo "Language"="FRE">> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis\SimCity 2000\Options]>> simcity.reg
echo "Speed"=dword:00000001>> simcity.reg
echo "Sound"=dword:00000001>> simcity.reg
echo "Music"=dword:00000001>> simcity.reg
echo "AutoGoto"=dword:00000001>> simcity.reg
echo "AutoBudget"=dword:00000000>> simcity.reg
echo "Disasters"=dword:00000001>> simcity.reg
echo "AutoSave"=dword:00000000>> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis\SimCity 2000\Paths]>> simcity.reg
echo "Home"="%CURRENTDIR_REG%">> simcity.reg
echo "Graphics"="%CURRENTDIR_REG%\\Bitmaps">> simcity.reg
echo "Music"="%CURRENTDIR_REG%\\Sounds">> simcity.reg
echo "Data"="%CURRENTDIR_REG%\\Data">> simcity.reg
echo "Goodies"="%CURRENTDIR_REG%\\Goodies">> simcity.reg
echo "Cities"="%CURRENTDIR_REG%\\Cities">> simcity.reg
echo "SaveGame"="%CURRENTDIR_REG%\\Cities">> simcity.reg
echo "TileSets"="%CURRENTDIR_REG%\\ScurkArt">> simcity.reg
echo "Scenarios"="%CURRENTDIR_REG%\\Scenario">> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis\SimCity 2000\Registration]>> simcity.reg
echo "Mayor Name"="%NAME%">> simcity.reg
echo "Company Name"="%COMPANY%">> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis\SimCity 2000\SCURK]>> simcity.reg
echo "CycleColors"=dword:00000001>> simcity.reg
echo "GridHeight"=dword:00000002>> simcity.reg
echo "GridWidth"=dword:00000002>> simcity.reg
echo "ShowClipRegion"=dword:00000000>> simcity.reg
echo "ShowDrawGrid"=dword:00000000>> simcity.reg
echo "SnapToGrid"=dword:00000000>> simcity.reg
echo "Sound"=dword:00000001>> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis\SimCity 2000\Version]>> simcity.reg
echo "SimCity 2000"=dword:00000100>> simcity.reg
echo "SCURK"=dword:00000100>> simcity.reg
echo.>> simcity.reg
echo [HKEY_CURRENT_USER\Software\Maxis\SimCity 2000\Windows]>> simcity.reg
echo "Display"="8 1">> simcity.reg
echo "Color Check"=dword:00000000>> simcity.reg
echo "Last Color Depth"=dword:00000020>> simcity.reg
echo.>> simcity.reg
echo [HKEY_LOCAL_MACHINE\SOFTWARE%IS_X64%\Maxis]>> simcity.reg
echo.>> simcity.reg
echo [HKEY_LOCAL_MACHINE\SOFTWARE%IS_X64%\Maxis\SimCity 2000 Collection CD]>> simcity.reg
echo.>> simcity.reg
echo [HKEY_LOCAL_MACHINE\SOFTWARE%IS_X64%\Maxis\SimCity 2000 Collection CD\1.0]>> simcity.reg
echo.>> simcity.reg

@rem Elevation required
set original_loc=%cd%
echo @echo off> apply_reg.cmd
echo regedit /s "%original_loc%\simcity.reg">> apply_reg.cmd
powershell.exe -Command "Start-Process apply_reg.cmd -Verb RunAs"
del /q apply_reg.cmd

@rem Check registry 1 (std run)
if not exist "C:\WINDOWS\SYSTEM32\REG.EXE" goto continue
reg export "HKEY_CURRENT_USER\Software\Maxis\SimCity 2000" check.reg
if exist "check.reg" goto continue
@rem Check registry 2 (admin run)
regedit /s "%original_loc%\simcity.reg"
reg export "HKEY_CURRENT_USER\Software\Maxis\SimCity 2000" check.reg
if exist "check.reg" goto continue
cls
echo ATTENTION :
echo.
echo Les entres dans le Registre n'ont pas pu tre appliques correctement.
echo Cela peut se produire avec les ditions Familiale/Home de Windows.
echo.
echo Merci de fusionner manuellement le script simcity.reg, se trouvant actuel-
echo lement dans le dossier du jeu, puis revenir sur cette fentre et appuyer
echo sur une touche pour terminer le processus...
pause > nul
goto continue

:continue
if exist "check.reg" del /q check.reg
del simcity.reg /q

if exist "%USERPROFILE%\Bureau\" SET DESKTOP=Bureau
if exist "%USERPROFILE%\OneDrive\Desktop\*.lnk" SET DESKTOP=OneDrive\Desktop

echo Set oWS = WScript.CreateObject("WScript.Shell")> CreateShortcut.vbs
echo sLinkFile = "%USERPROFILE%\%DESKTOP%\SimCity 2000.lnk">> CreateShortcut.vbs
echo Set oLink = oWS.CreateShortcut(sLinkFile)>> CreateShortcut.vbs
echo oLink.TargetPath = "%CURRENTDIR%\SIMCITY.EXE">> CreateShortcut.vbs
echo oLink.Save>> CreateShortcut.vbs

cscript CreateShortcut.vbs
del /q CreateShortcut.vbs
goto end

:missing
echo Erreur : SIMCITY.EXE introuvable !
echo          Merci d'excuter ce script depuis le dossier d'installation du jeu.
echo.
pause
goto end

:end
